STONITH(8)

NAME
stonith - extensible interface for remotely powering down a node in the cluster

SYNOPSIS
stonith -h
stonith [-svh] -L
stonith [-svh] -t stonith-device-type -n
stonith [-svh] -t stonith-device-type {-p stonith-device-parameters | -F stonith-device-parameters-file | name=value...} [-c count] -lS
stonith [-svh] -t stonith-device-type {-p stonith-device-parameters | -F stonith-device-parameters-file | name=value...} [-c count] -T {reset|on|off} nodename

DESCRIPTION
The STONITH module (a.k.a. STOMITH) provides an extensible interface for remotely powering down a node in the cluster. (STONITH = Shoot The Other Node In The Head). The idea is quite simple: When the software running on one machine wants to make sure another machine in the cluster is not using a resource, pull the plug on the other machine. It's simple and reliable, albiet admittedly brutal.

OPTIONS

-F options-file:
    Path to file specifying option s for a device. To determine the syntax of the options-file for a given device run:
    stonith -t <devicetype> <dummy-nodename>
    e.g.
    stonith -t rps10 test

-h: Display command line This provides a detailed list of the device types, descriptions of them and how to configure them, and other related information. If you don't yet own as STONITH device and want to know what more about the ones we support, this information is likely to be helpful.

-L: List the valid devicetypes, suitable for passing as an argument to the -t option.

-l: List the configured nodes.

-t devicetype:
    The type of device to be used to effect STONITH. A list of supported devices for an instalation of stonith may be obtained using the -L option.

-p stonith-parameters:
    Parameters to pass directly to stonith device. These are the same format as a line in the options-file for a divice. See notes on determining the syntax for the options-file for a divice above.

-S: Show the status of the STONITH device.

-s: Silent operation. Suppress logging of error messages to standard error.

-n: Output the config names of stonith-device-parameters

-c count:
    Query the status of the STONITH device count times.

-T action:
    The action to perform on the node. Chosen from reset, on, and off.

-v: Ignored.

SEE ALSO

heartbeat (8) meatclient (8)

AUTHORS
stonith - Alan Robertson <alanr@unix.sh> et al.
man page - Horms <horms@verge.net.au>